maosでpsycopg2のインストールに失敗するとき

(brewなどで)postgresqlをインストールしましょう。また、

ld: library not found for -lssl

pip install psycopg2実行で↑のようなメッセージが表示されたら、

リンクを貼ってあげましょう。

1.0.2nの部分は、各々の環境によって異なります。

% ln -s /usr/local/Cellar/openssl/1.0.2n/lib/libssl.1.0.0.dylib /usr/local/lib/libssl.dylib
% ln -s /usr/local/Cellar/openssl/1.0.2n/lib/libcrypto.1.0.0.dylib /usr/local/lib/libcrypto.dylib